<?php 

	require "config.php";
	
	session_start();

?>
<!DOCTYPE html>
<html lang="hu">

	<head>
		
		<!-- TITLE -->
		<title>Főoldal</title>
		
		<!-- CSS -->
		<link rel="stylesheet" href="css/style.css">
		
	</head>
	<body>
	
		<!-- NAV -->
		<?php require "nav.php"; ?>
		
		<!-- CONTENT -->
		<div class="card-box">
			
			<?php 
				// Összes videó lekérdezése
				$lekerdezes = "SELECT * FROM videos ORDER BY RAND()";
				$talalt_videok = $conn->query($lekerdezes);
				while($video=$talalt_videok->fetch_assoc()){
					
					// Videó feltöltőjének lekérdezése
					$lekerdezes = "SELECT * FROM users WHERE id=$video[userid]";
					$talalt_csatorna = $conn->query($lekerdezes);
					$csatorna = $talalt_csatorna->fetch_assoc();
			?>
			
						<!-- KÁRTYA -->
						<a href="video.php?videoid=<?= $video['id']; ?>">
							<div class="card">
								<?php 
									if($video['tn_name'] == ""){
								?>
										<img src="img/tn.png">
								<?php 
									}else{
								?>
										<img src="users/<?= $csatorna['username']; ?>/<?= $video['tn_name']; ?>">
								<?php } ?>
								<div class="about-video">
									<a class="video-name"><?= $video['name']; ?></a>
									<a class="uploader-name"><?= $csatorna['username'];?></a>
								</div>
							</div>
						</a>
			
			<?php } ?>
			
		</div>
	
	</body>
	
	<?php require "footer.php"; ?>
	
</html>